const path = require('path');

const plugin = require('tailwindcss/plugin');

module.exports = {
	presets: [require('@prokyon/styles/tailwind.config')],
	content: [
		path.resolve(__dirname + '../../**/*.{js,ts,tsx}'),
		path.resolve(__dirname + '../../../node_modules/@prokyon/**/*.{js,ts,tsx}'),
	],
	safelist: require('@prokyon/styles/tailwind.config').safelist,
	theme: {
		extend: require('./theme'),
	},
	variants: {
		extend: {
			borderWidth: ['last'],
		},
	},
	plugins: [
		plugin(require('./components/component')),
	],
};
